.menu-modal-overlay { display: none; position: fixed; top: 0; left: 0; width: 100%; height: 100%; background-color: rgba(0, 0, 0, 0.5); z-index: 1099; opacity: 0; transition: opacity 0.3s ease-in-out; }
.menu-modal-overlay.active { opacity: 1; }
.modal-menu { position: fixed; z-index: 1100; right: 0; top: 0; max-width: 100%; height: 100%; overflow: auto; width: 500px; box-shadow: -2px 0 10px rgba(0, 0, 0, 0.5); background-color: #ececec; padding: 0; transform: translateX(100%); transition: transform 0.3s ease-in-out; visibility: hidden; }
.modal-menu.active { transform: translateX(0); visibility: visible; }
.modal-menu.closing { transform: translateX(100%); visibility: visible; }
.modal-menu-container { display: flex; flex-direction: column; height: 100%; }
.modal-menu-header { padding: 40px 0; display: flex; justify-content: space-between; align-items: center; background-color: #6800b7; position: relative; font-size:1.5rem;}
.menu-back-button { color: #ffffff; cursor: pointer; position: absolute; left: 20px; }
.close-modal-menu { font-size: 31px; color: #ffffff; cursor: pointer; position: absolute; right: 20px; }
.logomenu { display: block; margin: 0 auto; width: 150px; height: auto; position: absolute; left: 50%; transform: translateX(-50%); }
.modal-menu-content { flex: 1; overflow-y: auto; padding: 15px 0 0; }
.modal-content-menu { overflow-y: auto; max-height: 100%; margin: 80px 25px 40px; }
.titulo-modal-menu { font-size: 1.5rem; margin: 35px; color: #6800b7; font-weight: 600; text-align: center; }
.close-modal-ajuda { color: #aaa; position: absolute; top: 10px; right: 15px; font-size: 28px; font-weight: bold; cursor: pointer; }
.close-modal-ajuda:hover, .close-modal-ajuda:focus { color: #000; text-decoration: none; cursor: pointer; }
.titulo-modal { text-align: center; margin-bottom: 20px; font-size: 24px; color: #333; }
.modal-menu-content ul { list-style: none; padding: 0; margin: 0; }
.modal-menu-content li { list-style: none; margin: 20px; border: solid 2px #dacdff; padding: 16px; color: #000000; font-size: 20px; border-radius: 10px; cursor: pointer; }
.texto-sobre { padding: 15px; margin: 0 0 20px 0; animation: fadeIn 0.3s ease; font-size: 1.25rem; }
.menu-footer { padding: 15px; text-align: center; font-size: 12px; background-color: #6800b7; }
.credit { text-align: center; margin-top: 20px; font-size: 14px; color: #666; }
.profiler { color: #e8e8e8; font-weight: bold; }
.profiler-link { color: #dbb2ff; text-decoration: none; }
.menu-section { display: none;  animation: fadeIn 0.3s ease; }
#menuList li {background-color: #d9d7ff;}
.privacy-section {text-align: left;}
@keyframes fadeIn { from { opacity: 0; } to { opacity: 1; } }

    /* CONTA VERIFICADA */
.section.conta-verificada-section { /* background: #6800b6; */}
.section.conta-verificada-section .container-menu h1 {color: #ffffff; padding: 20px 0; font-size: 32px; letter-spacing: -0.1rem; line-height: 2rem;}
.section.conta-verificada-section .container-menu h2 {color: #ffffff; line-height: 2rem; text-align: center; letter-spacing: -0.06rem;}
.section.conta-verificada-section .container-menu h3 {padding: 0; font-size: 20px; font-weight: 500; color: #2c2c2c; text-align: left;}
.section.conta-verificada-section .cadastro-section-2 {background-color:#560098;}
.section.conta-verificada-section .conta-verificada-benefits h2 {color: #560098; line-height: 2rem; text-align: center; font-size: 30px; padding: 25px 20px;
    margin: 0px;}
.price-highlight {background-color: #560098; padding: 40px; margin-top:0; }
.price-highlight img {display: flex; margin: 0 auto; width: 100%; padding: 0 0 50px;}
.price-highlight h2 { font-size: 22px; width: 276px; margin: auto; max-width: 100%;}
.conta-verificada-benefits {padding: 20px; background-color: #fff;}
.conta-verificada-benefits img {display: flex; margin: 20px auto 45px;}
.conta-verificada-benefits p {margin: 0 auto; padding: 20px 0; line-height: 2rem; text-align: center; font-size: 1.4rem;} 
.conta-verificada-benefits span {font-weight: bold; color: #0098f3;}
.conta-verificada-benefits .benefits-grid {margin: 0 auto; max-width: 460px;}
.conta-verificada-benefits .benefit-item {margin: 40px auto; display: flex; align-items: center; gap: 20px;}
.conta-verificada-benefits .benefit-item p {font-size: 18px; text-align: left; padding: 0; margin:0;}
.conta-verificada-benefits .benefit-item img {width: 70px; margin: 0;}
.benefit-item .text-container {display: flex; flex-direction: column; flex: 1; }
.conta-verificada-form-section {background-color: #560098; border-radius: 0; }
.cadastro-container-form {max-width: 800px; margin: 0 auto; padding: 20px 20px 40px;}
.section.conta-verificada-section .cadastro-container-form h2 {background-color: #560098;}
span.blue {font-weight: bold; color: #6dc8ff; font-size: 28px;}
.cadastro-container-form .btn { display: block; width: 320px; margin: 20px auto 0; background-color: #007eff; color: #fff; text-decoration: none; padding: 15px; border-radius: 50px; font-size: 20px; font-weight: 600; text-align: center; border: none; cursor: pointer; filter: drop-shadow(0px 7px 2px #C5C6F2); }
.cadastro-container-form .btn:hover {background-color: #0066cf;}

/* CADASTRO */
.cadastro-section-2 { background-color: #6800b7; }
.cadastro-section-2 .cadastro-container-form { width: 90%; margin: 0 auto; padding: 40px 0 0; }
.cadastro-section-2 .cadastro-left-sec-2 { max-width: 800px; margin: 0 auto; }
.cadastro-section-2 h2 { font-size: 24px; font-weight: 600; color: #ffffff; line-height: 2.5rem; padding: 20px 0; text-align: center; }
.cadastro-section-2 .cadastro-form { padding: 30px; background-color: #ede8ff; border-radius: 20px; max-width: 600px; margin: auto; }
.cadastro-section-2 .form-group { margin-bottom: 20px; text-align: left; }
.cadastro-section-2 .form-group label { display: block; font-size: 18px; font-weight: 600; color: #6800b7; margin-bottom: 5px; }
.cadastro-section-2 .form-group input, .cadastro-section-2 .form-group select { width: 100%; padding: 10px; font-size: 22px; border: 1px solid #c5c5c5; border-radius: 5px; box-sizing: border-box;}
.cadastro-section-2 .form-group input[type="number"] { -moz-appearance: textfield; }
.cadastro-section-2 .form-group input::-webkit-outer-spin-button, .cadastro-section-2 .form-group input::-webkit-inner-spin-button { -webkit-appearance: none; margin: 0; }
.cadastro-section-2 .btn { display: block; width: 100%; margin: 15px auto; background-color: #007fe5; color: #fff; text-decoration: none; padding: 15px; border-radius: 50px; font-size: 20px; font-weight: 600; text-align: center; border: none; cursor: pointer; filter: drop-shadow(0px 7px 2px #C5C6F2); }
.cadastro-section-2 .btn:hover { background-color:#0061d5; }
.cadastro-section-2 p { padding: 40px 0 10px; font-size: 16px; line-height: 1.5rem; font-weight: 500; color: #560098; text-align: center; }
.custom-select-wrapper { position: relative; width: 100%;}
.custom-select { width: 100%; padding: 10px; border: 1px solid #ccc; border-radius: 4px; background-color: #fff; font-size: 22px; cursor: pointer; user-select: none;}
.custom-select:focus { outline: none; border-color: #007bff; box-shadow: 0 0 5px rgba(0,123,255,0.3);}
.custom-select-wrapper::after { content: '▼'; position: absolute; right: 10px; top: 50%; transform: translateY(-50%); pointer-events: none; color: #333;}
.custom-dropdown {display: none; position: absolute; top: 100%; left: 0; width: 100%; max-height: 250px; overflow-y: auto; background-color: #6800b7; border: 1px solid #ccc; border-radius: 4px; box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2); z-index: 1000; color: #fff; font-weight: bold; font-size:22px;}
.custom-dropdown div { padding: 10px; cursor: pointer; border-bottom: solid 1px #4a0182;}
.custom-dropdown div:hover { background-color: #4a0182;}
.custom-dropdown div.selected { background-color: #4a0182; color: #fff;}
.select-modal {display: none; position: fixed; top: 0; left: 0; width: 100%; height: 100%; background: rgba(0,0,0,0.5); z-index: 1000;}
.select-modal-content {position: relative;top: 50%;left: 50%;transform: translate(-50%, -50%);background: #6800b7;padding: 20px;border-radius: 15px;max-width: 340px;max-height: 60vh;overflow-y: auto;color: #ffffff; min-height:20vh; text-align: left;}
.select-modal-close {position: absolute; top: 10px; right: 15px; cursor: pointer; font-size: 22px;}
.select-options div {padding: 10px; cursor: pointer; border-bottom: 1px solid #400170; font-size:22px;}
.cadastro-form {display:flex; flex-direction:column; gap:15px;}
.form-group {display:flex; flex-direction:column;}
.card-plano { border: solid 5px #d4ccff; border-radius: 8px; margin: 15px 0 25px; padding: 14px 15px 4px 10px; background-color:#f1f8e9; cursor: pointer;}
.card-ramo {border: solid 3px #d4ccff; border-radius: 8px; margin: 10px 20px; padding: 10px; background-color: #eeeeee; display: inline-block; width: 130px;     cursor: pointer;}
.free {display:none;} /* OCULTADO O PLANO GRATIS */
.pago { background-color: #e6effd !important; background: linear-gradient(180deg, rgb(192 226 255) 0%, rgb(227 243 255) 100%);}
.apenas-valor { font-size: 13px; line-height:1.5; font-weight: normal; display: block; color: #007e19; }
.topo-lista { font-weight: 500; }
.card-plano:has(input[type="radio"]:checked) {border-color: #FFC107; box-shadow: rgb(255 241 123) 0 0 10px 2px; background: linear-gradient(180deg, #fff6a6 0%, #FFEB3B 100%); }
.card-plano img {  width: 45px;  right: 60px;  float:right; margin: 0 8px;}
.card-ramo img {  width: 80px;  margin: 0 auto;  display: block;  padding: 5px 10px;  filter: grayscale(100%) brightness(1.2);  }
.card-plano li {  margin: 0 0 10px; }
.card-modelo { background-color: #e6effd !important; border: solid 1px #dae4f3 !important; border-radius: 8px; box-shadow: rgb(192 222 255 / 80%) 0 0 43px 0px;
    max-width: 100%; }
#plano-pago, #plano-gratis, #plano-basico, #ramo-automotivo, #ramo-residencial, #ramo-pessoal { height: 20px; width: 20px; margin: 0 3px; cursor: pointer;}
.planos-container { text-align: left!important;}
.ramo-container {margin: 0 auto 10px;}
.card-ramo:has(input[type="radio"]:checked) { border-color: #FFC107; box-shadow: rgb(255 241 123) 0 0 10px 2px; background: linear-gradient(180deg, #fff6a6 0%, #FFEB3B 100%);}
.card-ramo:has(input[type="radio"]:checked) img { filter: none;}
.planos-container p { text-align: left !important; padding: 20px !important; font-size: 24px; margin: 0; font-weight: bold;}
.periodo { font-size: 18px; color: #9C27B0;}
.verified-icon-menu img { width: 20px; height: 20px; margin-left: 2px; vertical-align: top;}
.planos-container label {font-size: 18px; font-weight: 500; vertical-align: text-bottom; cursor: pointer;}
.imagem-prestadores { margin: 0 0 20px; }
.imagem-prestadores img { max-width: 100%;}
.imagem-usuarios img { max-width: 100%;}
.gratis {font-size: 13px; background-color: #ccffab; padding: 4px 6px; margin: 0 4px; border-radius: 4px; color: #085918; letter-spacing: 0.6px;}
.faq-btn {font-size: 22px; font-weight: 500; padding: 12px 10px; color: #7a00bc; margin: 15px 0;}
.faq-content { font-size: 1.25rem; }
.rating-sobre { font-size: 1.3rem; }
.estrela-sobre { font-size:25px; color: #fbbc04;}
.card-sobre { padding: 0; border-radius: 10px; margin: 20px 0;}
.card-sobre img { width: 100%; margin: 16px 0 5px; border: 5px solid #d4ccff; border-radius: 10px;}
.como-votar { margin: 16px auto; border: 5px solid #d4ccff; border-radius: 10px; display: block;}
.legenda { font-size:14px; padding:0 20px;}
.link-texto { text-decoration: underline; color: #7a00bc;}
.section.conta-verificada-section .conta-verificada-benefits h4 {font-size: 1.75rem; background-color: #f3eafa; color: #560098; border-radius: 60px 0;            padding: 25px 20px; margin: 0 auto 20px; max-width: 350px; text-align: left; }
.emoji-h4 { font-size: 3.1rem; float: left; padding-right: 15px; }

/* MODAL CONFIRMACAO */
.modal { display: none; position: fixed; z-index: 1000; left: 0; top: 0; width: 100%; height: 100%; background-color: rgba(0, 0, 0, 0.5); }
.modal-content { background-color: #ffffff !important; margin: 15% auto; padding: 20px; border-radius: 10px; width: 80% !important; max-width: 400px;    text-align: center;  position: relative; box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); border: solid 4px #c2b4ff !important; top: 60px;}
.modal-content h3 { font-size: 28px; font-weight: 600; color: #6800b7; margin-bottom: 10px; }
.modal-content p { font-size: 24px; color:rgb(4, 4, 4); line-height: 1.5; padding-top:15px}
.modal-close { color:rgb(0, 0, 0); position: absolute; top: 10px; right: 15px; font-size: 24px; font-weight: bold; cursor: pointer; }
.modal-logo {width: 120px; padding: 15px 0 10px; margin:15px auto 10px;}

/* ATENDIMENTO */
textarea#mensagem { padding: 10px; border-radius: 4px; border-color: #c5c5c5; min-height: 200px; font-size: 18px; font-weight: normal;}
.modal-close:hover, .modal-close:focus { color: #560098; text-decoration: none; }

@media (max-width: 900px) {
    .section.conta-verificada-section .conta-h1 {max-width: 90%; margin:0 auto;}
    .section.conta-verificada-section .container-menu h2 {font-size: 22px;}
    .conta-verificada-benefits p {width: 100%; line-height: 2rem;}
    .price-highlight {padding: 40px 20px; border-radius:0; width: 100%; margin-top: 10px;}
    .price-highlight img {width: 100%; padding-bottom: 30px;}
    .conta-verificada-benefits img {max-width: 100%; margin: 15px auto;}
    .conta-verificada-benefits {width: 100%; padding: 20px;}
    .conta-verificada-benefits .benefits-grid {width: 100%;}
    .conta-verificada-benefits .benefit-item {width: 90%; padding: 0 20px 0 0;}
    .conta-verificada-benefits .benefit-item img {width: 50px; margin: auto;}
    .section.conta-verificada-section .conta-verificada-benefits h2 {font-size: 1.75rem; padding: 0;}
    .conta-verificada-form-section {border-radius:0}
    .benefit-item .text-container p {line-height: 1.5rem;}
    .benefits-grid { grid-template-columns: 1fr; }
    .cadastro-container-form {padding: 20px 20px 40px;}
    .cadastro-container-form .btn {width: 100%;}
    .cadastro-section-2 .cadastro-container-form { width: 100%; padding: 20px 15px; }
    .cadastro-section-2 .cadastro-left-sec-2 { max-width: 100%; }
    .cadastro-section-2 h2 { font-size: 20px; text-align: center; }
    .cadastro-section-2 .cadastro-form { padding: 30px 20px; }
    .cadastro-section-2 .form-group {margin-bottom: 10px;}
    .cadastro-section-2 .form-group label { font-size: 1.2rem; }
    .cadastro-section-2 .form-group input, .cadastro-section-2 .form-group select { font-size: 1.4rem; }
    .cadastro-section-2 .btn {font-size: 20px; padding: 12px; }
    .card-ramo { margin: 10px 20px; width: 115px;  padding: 5px;}
    .card-ramo img {width: 70px;}
}

@media (max-width: 374px) {
.section.conta-verificada-section .conta-verificada-benefits h4 {font-size: 1.5rem;}
.emoji-h4 {font-size: 2.2rem;}
.card-ramo { margin: 10px 8px; width: 100px;}
.card-ramo img { width: 65px; }
#plano-pago, #plano-gratis, #plano-basico, #ramo-automotivo, #ramo-residencial, #ramo-pessoal { height: 15px; width: 15px; margin: 0 2px;}
.planos-container label { font-size: 16px;}

}
